Bug 633333

Summary: Review Request: iosum - An I/O bandwidth and syscall summarizer
Product: [Fedora] Fedora Reporter: g.danti
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: dennis, fedora-package-review, kevin, mrunge, notting, pahan, sgallagh
Target Milestone: ---   
Target Release: ---   
Hardware: noarch   
OS: Linux   
URL: https://fedorahosted.org/releases/i/o/iosum/iosum-0.1.tar.gz
Whiteboard: StalledSubmitter
Fixed In Version: Doc Type: Bug Fix
Doc Text:
This is my first package and, while I've read the how-to guide on Fedoraproject, I am not sure that it is 100% ok. Any improvements are welcome.
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-03-24 14:25:12 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
Updated SPEC file
none
setup.py script for python
none
Suggested changes to the spec
none
Updated SPEC file based on your template none

Description g.danti 2010-09-13 11:24:26 EDT
Spec URL: http://www.assyoma.it/rpmrepo/SPECS/iosum.spec
SRPM URL: http://www.assyoma.it/rpmrepo/SRPMS/iosum-0.1-0.src.rpm
Description: iosum is a per-process I/O bandwidth and syscall summarizer. It is written in plain Python 2.4 code and it gather information via the /proc/ filesystem, so it run without problems on RHEL / CentOS 5 / Fedora / ecc.

--- This is my first package, and I'm seeking for a sponsor ---
Comment 1 g.danti 2010-09-13 11:35:19 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
This is my first package and, while I've read the how-to guide on Fedoraproject, I am not sure that it is 100% ok. Any improvements are welcome.
Comment 2 Kevin Fenzi 2010-09-16 21:09:52 EDT
I've added the FE-NEEDSPONSOR blocker as listed at: 
http://fedoraproject.org/wiki/PackageMaintainers/Join#Create_Your_Review_Request

as well as moving this back to the Fedora product and the Fedora Review component where it's supposed to be. ;) 

I'll see about looking at this unless someone else does so first.
Comment 3 g.danti 2010-09-17 02:14:45 EDT
Hi Kevin,
thanks from your interest.

An important note: the package is meant to be primary for EPEL branch. So, I've restored the Product type to "Fedora EPEL".

Regards.
Comment 4 Kevin Fenzi 2010-09-17 12:20:00 EDT
You should not do this. Package reviews are always against the Fedora "Package Review" component. EPEL doesn't have a specific component for these, so you end up assigning it to some random EPEL package maintainer who has no idea whats going on. 

Do you not intend to also maintain it in Fedora?

People looking for package reviews to review will only be looking at the fedora "Package Review" component in any case.
Comment 5 g.danti 2010-09-17 12:55:01 EDT
Hi Kevin, I surely want to mantain the package for Fedora also. The point is that I read in the how-to that I need to select the EPEL branch if I want to contribute primary to EPEL.

If I go wrong, please excuse me. In this case, I can I submit a package to EPEL?

Thanks.
Comment 6 Mark McKinstry 2010-09-18 21:35:33 EDT
A few suggestions and questions:

1. Is there an upstream website or provider for this package? Generally Fedora isn't the place to submit or maintain personal code.

2. Take out the line that says '# This is a sample spec file for wget'

3. The macros for name, release, and version aren't necessary. You should define those in their respective lines 'Name', 'Release', 'Version'. 

4. Your buildroot is specific to your file system and won't work on others which don't have that directory. You should use http://fedoraproject.org/wiki/EPEL/GuidelinesAndPolicies#BuildRoot_tag as your buildroot

5. The 'Source' line should be a link to download the code. 

6. The license should be GPLv2, not GPL. 

That's it for the top part of the SPEC. I can help you with the rest of it but I'm not sure how well it will fit in to Fedora if its original code you wrote and have never released or posted anywhere.
Comment 7 Stephen Gallagher 2010-09-19 07:37:50 EDT
If you need space to host an upstream for this project, I strongly recommend using the FedoraHosted infrastructure: https://fedorahosted.org/web/new

It's free and gives you your choice of source-control mechanisms (git, mercurial, subversion or bazaar).
Comment 8 g.danti 2010-09-20 11:59:42 EDT
Hi, thanks to all for the suggestions!
I've submitted a hosting request to fedorahosted.org.
If my request will be accepted, I will update the RPM package with Mark suggestions.

Regards.
Comment 9 Stephen Gallagher 2010-09-20 12:05:23 EDT
That's not how it works. You need to sort out your specfile issues and attach the changes to this review bug.

You won't be granted permission to build in Fedora until you pass this review.

Your first step needs to be to create an upstream project and make a release tarball from it.
Comment 10 g.danti 2010-09-21 05:04:15 EDT
Hi Stephen,
yes, I understand the point.

As soon as fedorahosted grant me a web space, I will update the spec file using yours suggestions.

If I do anything wrong, please let me know. I've readed the how-to but surely I miss something.

Thanks.
Comment 11 g.danti 2010-09-23 09:40:57 EDT
Created attachment 449216 [details]
Updated SPEC file
Comment 12 g.danti 2010-09-23 09:42:51 EDT
Hi all,
I've uploaded my project on fedorahosted and I've updated the download url.
I've also modified the SPEC file using Mark suggestions; you can find it attached to this ticket.
Comment 13 Stephen Gallagher 2010-09-23 10:04:24 EDT
Created attachment 449224 [details]
setup.py script for python

This specfile does not comply with python packaging requirements. You need to have pre-generated the .pyc files.

The easiest way to do this is to have your tarball include the script I'm attaching here, and then do the following:

Create a new python specfile from a python template. If you have 'fedora-packager' installed on your system, you can do:

rpmdev-newspec --type python --output iosum.spec

This will create a basic python specfile that will work with setup.py.
Comment 14 Stephen Gallagher 2010-09-23 10:08:12 EDT
Created attachment 449226 [details]
Suggested changes to the spec

Attaching suggested spec file. Make sure to fill in the %changelog section
Comment 15 g.danti 2010-09-24 11:27:39 EDT
Hi,
based on your template, I've customized the SPEC file and setup.py.

I've uploaded the new tarball on fedorahosted, while I've attached the SPEC file to this ticket.

Thank you for your time...
Comment 16 g.danti 2010-09-24 11:28:30 EDT
Created attachment 449445 [details]
Updated SPEC file based on your template
Comment 17 Jason Tibbitts 2010-12-22 23:21:10 EST
I don't ever see that the srpm was updated.  I see a release 0 (which you shouldn't do anyway) but nothing newer.  You should be increasing release with each change to your package, even during review.

Please don't attach spec files and source packages; just put them on the web site so that we can easily download them.  Also provide links to your updated spec and srpm with each update so that it's obvious which things should be reviewed.
Comment 18 g.danti 2010-12-23 04:10:22 EST
Hi Jason,
you don't see any new release because I didn't apply any new change - to me, the package works as expected.

However, I almost forgot di review request, because many month passed and nobody care... I did something wrong?

Thanks.
Comment 19 Jason Tibbitts 2010-12-23 09:44:04 EST
There are many review requests needing sponsors, and few sponsors with time to review them all.  The fact that you seem unwilling to regenerate your srpm when you make changes to the spec, along with the attaching of the spec and not posting links to the updated files, makes this difficult to review so of course it's going to get passed over.  You need to make it as easy as possible for potential sponsors to look at your package.  If you make it difficult, we'll just spend our time on other tickets.
Comment 20 g.danti 2010-12-23 10:03:21 EST
Hi Jason,
thanks for your suggestions.

I am not unwilling to regenerate my srpm/SPEC file; the point is that I did no changes from the first release because it seems to work fine to me :)

As soon as possible, I will upload the srpm file.

Thanks.
Comment 21 Michael Schwendt 2011-02-05 08:31:04 EST
Please enter your real name in your bugzilla account preferences. That will also improve the current http://fedoraproject.org/PackageReviewStatus/NEEDSPONSOR.html list.